Package com.io7m.idstore.model

# Record Class IdEmail

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdEmail

Record Components:
  `value` - The email value

public record IdEmail(String value) extends Record
A user email.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdEmail(String value)`
  A user email.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `check(String text)`
  Check that a string is a valid email address.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdEmail

    public IdEmail(String value)
    A user email.
    Parameters:
      `value` - The email value

- ## Method Details

  - ### check

    public static String check(String text)
    Check that a string is a valid email address.
    Parameters:
      `text` - The text
    Returns:
      The string

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component